%define upstream_name File_Ogg
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.3.1
Release:     	%mkrel 8
Summary:    	Retrieves metadata from Ogg files
License: 	LGPL v2
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/File_Ogg-%{version}.tgz
URL: 		http://pear.php.net/package/File_Ogg
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Decodes Ogg file headers to provide metadata. Supports Vorbis, 
Theora, Speex and FLAC stream headers. This package does 
NOT provide codecs for these formats.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_Ogg.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_Ogg.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/File_Ogg
fi

%files
%{peardir}/*
%{xmldir}/File_Ogg.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.1-8.mga8
+ Revision: 1498825
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.1-7.mga7
+ Revision: 1273198
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.3.1-6.mga6
+ Revision: 944221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-5.mga5
+ Revision: 749043
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-4.mga5
+ Revision: 687252
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.1-3.mga4
+ Revision: 516709
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-2.mga3
+ Revision: 376147
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 spuhler <spuhler> 0.3.1-1.mga2
+ Revision: 218433
- upgrade to 0.3.1
  pearized spec

* Tue Feb 01 2011 spuhler <spuhler> 0.2.1-6.mga1
+ Revision: 45679
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-File_Ogg


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-6mdv2011.0
+ Revision: 613660
- the mass rebuild of 2010.1 packages

* Mon Dec 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.1-5mdv2010.1
+ Revision: 478670
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.2.1-4mdv2010.0
+ Revision: 441073
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-3mdv2009.1
+ Revision: 322014
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-2mdv2009.0
+ Revision: 236840
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.1-1mdv2008.1
+ Revision: 136404
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdv2008.0
+ Revision: 15742
- fix build
- 0.2.1


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-7mdv2007.0
+ Revision: 81584
- Import php-pear-File_Ogg

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-1mdk
- initial Mandriva package (PLD import)

